import React, { useRef, useState, useEffect } from "react";
import Box from '@mui/material/Box';
import TextField from '@mui/material/TextField';
import MenuItem from '@mui/material/MenuItem';
import { confirmAlert } from 'react-confirm-alert'; // Import
import 'react-confirm-alert/src/react-confirm-alert.css'; // Import css
import Button from '@mui/material/Button';
import axios from "axios";
import DeleteIcon from '@mui/icons-material/Delete';
import { getCookie, setCookie } from 'react-use-cookie';
import { Alert } from "@mui/material";
import { AiTwotoneEdit, AiTwotoneSave } from "react-icons/ai";
import profileimg from "../mysy_img/MYSY-profil-2.png";
import Abonnement from "./Abonnement";
import { ConstructionOutlined, PropaneSharp } from "@mui/icons-material";
import { useHistory } from "react-router-dom";
import CheckOut from "./CheckOut";
import { DataGrid, GridToolbar, frFR } from '@mui/x-data-grid';
import "react-draft-wysiwyg/dist/react-draft-wysiwyg.css";
import { RichTextEditor } from '@mantine/rte';
import { Editor } from '@tinymce/tinymce-react';
import { IoArrowUndoCircle } from "react-icons/io5";
import { GrUserAdmin, GrOrderedList } from "react-icons/gr";
import parse from 'html-react-parser';
import { FcViewDetails } from "react-icons/fc";
import 'react-tooltip/dist/react-tooltip.css'
import { Tooltip } from 'react-tooltip'
import add_plus from "../mysy_img/plus.png";
import excel_icone from "../mysy_img/excel_icone.png";
import participants from "../mysy_img/participants.png";
import GestionAdministrative from "./GestionAdministrative";
import { IoMdAddCircle, IoIosRemoveCircleOutline } from "react-icons/io";
import { Fab } from "@material-ui/core";
import { ConsoleView } from "react-device-detect";
import fileDownload from 'js-file-download'
import { IoAddCircleOutline, IoCloseCircleOutline } from "react-icons/io5";
import { AiOutlineUserAdd } from "react-icons/ai";
import PartnerClientActivite from "./PartnerClient_Activite";
import { CiCoffeeBean, CiDesktop, CiFileOff } from "react-icons/ci";
import Popup from 'reactjs-popup';
import 'reactjs-popup/dist/index.css';
import { BsEye, BsFileText } from "react-icons/bs";
import { AiOutlineEdit } from "react-icons/ai";
import { FcCancel, FcApproval, FcAcceptDatabase, FcPrint } from "react-icons/fc";

const DisplayPartnerSession = (props) => {
    const history = useHistory();
    const [submenu, setsubmenu] = useState("");
    const [rowss, setRows] = useState([]);
    const [actionmass_preinsc_val, setactionmass_preinsc_val] = useState();

    const columns = [
        { field: 'id', headerName: 'id', hide: true },
        { field: 'class_internal_url', headerName: 'class_internal_url', hide: true },
        { field: 'code_session', headerName: 'code session', hide: false },
        { field: 'date_debut', headerName: 'date debut', hide: false },
        { field: 'date_fin', headerName: 'Datefin', width: 100, hideable: false, flex: 1 },
        { field: 'distantiel', headerName: 'Distantiel', width: 100, hideable: false, flex: 1 },
        { field: 'presentiel', headerName: 'Presentiel', width: 150, flex: 1 },
        { field: 'formateur', headerName: 'Formateur', width: 150, flex: 1 },
        { field: 'nb_participant', headerName: 'nb_participant', width: 100, align: "center", flex: 1 },
        { field: 'prix_session', headerName: 'Prix', width: 100, align: "center", flex: 1 },
        { field: 'title', headerName: 'Formation', width: 100, align: "center", flex: 1 },
        { field: 'domaine', headerName: 'Domaine', width: 100, align: "center", flex: 1 },
        { field: 'duration', headerName: 'Durée', width: 100, align: "center", flex: 1 },
        { field: 'duration_unit', headerName: 'unité', width: 100, align: "center", flex: 1 },


        {
            field: "management", headerName: 'Gestion',
            renderCell: (cellValues) => {
                return (

                    <Button

                        onClick={(event) => {
                            handleClickSessionManagement(event, cellValues);
                        }}
                    >
                        <BsFileText />

                    </Button>

                );
            }
        },
        {
            field: "Print", headerName: 'Editer',
            renderCell: (cellValues) => {
                return (

                    <Button

                        onClick={(event) => {
                            //handleClick(event, cellValues);
                        }}
                    >
                        <AiOutlineEdit />

                    </Button>

                );
            }
        },

     

    ]

    const columns_preinscrit = [
        { field: 'id', headerName: 'id', hide: true },
        { field: 'email', headerName: 'email', width: 200, hideable: false, flex: 1 },
        { field: 'nom', headerName: 'nom', width: 150, hide: false, editable: true },
        { field: 'prenom', headerName: 'prenom', width: 150, hide: false, editable: true },
        { field: 'employeur', headerName: 'Employeur', width: 200, hide: false, editable: true },
        { field: 'opco', headerName: 'Centre Opco', width: 150, hide: false, editable: true },
        { field: 'modefinancement', headerName: 'Financement', width: 150, hide: false, editable: true },
        { field: 'amount', headerName: 'Montant Formation', width: 150, type: 'number', hideable: false, flex: 1, editable: true },
        {
            field: "update", headerName: 'Mise à jour',
            renderCell: (cellValues) => {
                return (

                    <Popup
                        trigger={<Button

                            onClick={(event) => {
                                // handleClick_accept(event, cellValues);
                            }}
                        >
                            <FcAcceptDatabase />

                        </Button>}
                        modal
                        nested
                        position="center center"
                    >
                        {close => (
                            <div>
                                <button className="gest_close" onClick={close}>
                                    &times;
                                </button>
                                <div className="gest_header"> MySy Info </div>
                                <div className="gest_content">
                                    {' '}

                                    Confirmer la mise à jour des informations du stagiaire
                                </div>
                                <div className="gest_actions">
                                    <div style={{ "width": "45%", "float": "left" }}>
                                        <button className="gest_bton_popup" onClick={(event) => {
                                            //handleClick_update_data(event, cellValues);
                                            close();
                                        }}> Valider </button>

                                    </div>
                                    <div style={{ "width": "45%", "float": "right" }}>
                                        <button
                                            className="gest_bton_popup"
                                            onClick={() => {
                                                //console.log('modal closed ');
                                                close();
                                            }}
                                        >
                                            Annuler
                                        </button>
                                    </div>
                                </div>
                            </div>
                        )}
                    </Popup>

                );
            }
        },

        {
            field: "valide", headerName: 'Valider',
            renderCell: (cellValues) => {
                return (

                    <Popup
                        trigger={<Button

                            onClick={(event) => {
                                //handleClick_accept(event, cellValues);
                            }}
                        >
                            <FcApproval />

                        </Button>}
                        modal
                        nested
                        position="center center"
                    >
                        {close => (
                            <div>
                                <button className="gest_close" onClick={close}>
                                    &times;
                                </button>
                                <div className="gest_header"> MySy Info </div>
                                <div className="gest_content">
                                    {' '}

                                    En confirmant cette opération, l'inscription du stagiaire sera définitivement validée. <br />
                                    Il (le stagiaire) sera automatiquement notifié par email de la validation de son inscription. <br />
                                    Le stagiaire passera de l'onglet "préinscrit" vers l'onglet "inscription".<br />
                                </div>
                                <div className="gest_actions">
                                    <div style={{ "width": "45%", "float": "left" }}>
                                        <button className="gest_bton_popup" onClick={(event) => {
                                            //handleClick_accept(event, cellValues);
                                            //console.log('modal closed ');
                                            close();
                                        }}> Valider </button>

                                    </div>
                                    <div style={{ "width": "45%", "float": "right" }}>
                                        <button
                                            className="gest_bton_popup"
                                            onClick={() => {
                                                //console.log('modal closed ');
                                                close();
                                            }}
                                        >
                                            Annuler
                                        </button>
                                    </div>
                                </div>
                            </div>
                        )}
                    </Popup>

                );
            }
        },

        {
            field: "refuse", headerName: 'Refuser',
            renderCell: (cellValues) => {
                return (

                    <Popup
                        trigger={<Button

                            onClick={(event) => {
                                //handleClick_refuse(event, cellValues);
                            }}
                        >
                            <FcCancel />

                        </Button>}
                        modal
                        nested
                        position="center center"
                    >
                        {close => (
                            <div>
                                <button className="gest_close" onClick={close}>
                                    &times;
                                </button>
                                <div className="gest_header"> MySy Info </div>
                                <div className="gest_content">
                                    {' '}

                                    En confirmant cette opération, l'inscription du stagiaire sera <i><font color="red"> refusée</font></i>. <br />
                                    Il (le stagiaire) sera automatiquement <i><font color="red"> notifié par email du refus de son inscription. </font></i> <br />
                                    <br /> Motif du refus : <br />
                                    <textarea name='motif_refus' id="motif_refus" style={{ "width": "80%" }}
                                        rows="3" maxlength="180" />

                                </div>
                                <div className="gest_actions">
                                    <div style={{ "width": "45%", "float": "left" }}>
                                        <button className="gest_bton_popup" onClick={(event) => {
                                            //handleClick_refuse(event, cellValues);
                                            //console.log('modal closed ');
                                            close();
                                        }}> Valider </button>

                                    </div>
                                    <div style={{ "width": "45%", "float": "right" }}>
                                        <button
                                            className="gest_bton_popup"
                                            onClick={() => {
                                                //console.log('modal closed ');
                                                close();
                                            }}
                                        >
                                            Annuler
                                        </button>
                                    </div>
                                </div>
                            </div>
                        )}
                    </Popup>


                );
            }
        }


    ]

    const columns_inscrit = [
        { field: 'id', headerName: 'id', hide: true },
        { field: 'email', headerName: 'emails', width: 200, hideable: false, flex: 1, minWidth: 150, maxWidth: 300 },
        { field: 'nom', headerName: 'nom', width: 150, hide: false, editable: true, resizable: true },
        { field: 'prenom', headerName: 'prenom', width: 150, hide: false, editable: true },
        { field: 'employeur', headerName: 'Employeur', width: 200, hide: false, editable: true },
        { field: 'opco', headerName: 'Centre Opco', width: 150, hide: false, editable: true },
        { field: 'modefinancement', headerName: 'Financement', width: 150, hide: false, editable: true },
        { field: 'amount', headerName: 'Montant Formation', width: 150, type: 'number', hideable: false, flex: 1, editable: true },
        {
            field: "sendmail", headerName: 'Email Confirmation',
            renderCell: (cellValues) => {
                return (

                    <Button

                        onClick={(event) => {
                            // handleClick_resend_conf_mail(event, cellValues);
                        }}
                    >
                        <FcApproval />

                    </Button>

                );
            }
        },

        {
            field: "Detail", headerName: 'Voir detail',
            renderCell: (cellValues) => {
                return (

                    <Button

                        onClick={(event) => {
                            //Display_Detail_Inscription(event, cellValues);
                        }}
                    >
                        <FcViewDetails />

                    </Button>

                );
            }
        },
        {
            field: "Imprimer", headerName: 'Imprimer detail',
            renderCell: (cellValues) => {
                return (

                    <Button

                        onClick={(event) => {
                            //Print_Detail_Inscription(event, cellValues);
                        }}
                    >
                        <FcPrint />

                    </Button>

                );
            }
        },



    ]

    const [Getall_TrainingSession_api, setGetall_TrainingSession_api] = useState();
    const [Getall_TrainingSession_message, setGetall_TrainingSession_message] = useState();
    const [Getall_TrainingSession_result, setGetall_TrainingSession_result] = useState();
    function Getall_TrainingSession(event) {

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/GetAllValideSessionPartner_List/";

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                console.log(" In Getall_TrainingSession  res.data.status = " + res.data.status);
                console.log(" In Getall_TrainingSession  res.data.message r_class = " + res.data.message);
                setGetall_TrainingSession_api("true");
                setGetall_TrainingSession_result(res.data.message);
                setRows(res.data.message);
            }
            else {
                setGetall_TrainingSession_api("false");
                setGetall_TrainingSession_message(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( Getall_TrainingSession = ', error);
            setGetall_TrainingSession_api("false");
            //setmyApimyApiMessage("")
        })
    }

    useEffect(() => {
        Getall_TrainingSession();

    }, [])


    async function actionmass_preinsc_Traitemet() {
    }

    const [selectionModel, setSelectionModel] = React.useState([]);

    const actionmass_preinsc = (event) => {
        const value = event.target.value;

        if (String(value) === "valider" || String(value) === "refuser") {
            setactionmass_preinsc_val(value);
        }
        else {
            setactionmass_preinsc_val();
        }
    }

    function submenu_preinscrit() {
        setsubmenu("preinscrit");
    }

    function submenu_inscrit() {
        setsubmenu("inscrit");
    }

    function handleClickSessionManagement(event, cellValues) {
        var code_session = cellValues.row.code_session;
        setselected_code_session(cellValues.row.code_session);

        var internal_url = cellValues.row.class_internal_url;
        setselected_internal_url(cellValues.row.class_internal_url);

        GetListePreinscrit(cellValues.row.code_session, cellValues.row.class_internal_url);
        GetListeInscrit(cellValues.row.code_session, cellValues.row.class_internal_url);
    }

    const [selected_code_session, setselected_code_session] = useState();
    const [selected_internal_url, setselected_internal_url] = useState();


    const [liste_participants_file_change_api, setliste_participants_file_change_api] = useState();
    const [liste_participants_file_change_result, setliste_participants_file_change_result] = useState();
    const [liste_participants_file_change_message, setliste_participants_file_change_message] = useState();
    const liste_participants_file_change = event => {
        const fileUploaded = event.target.files[0];
        let file_size = event.target.files[0].size;
        let file_type = event.target.files[0].type;

        //console.log("file_size =  ",file_size," file_type = ",file_type);
        if (file_size > 1000000) {
            alert("Le fichier ne doit pas depasser un 1 Méga octets");
            return;
        }

        setparticipant_file_name(event.target.files[0].name);

        const formData = new FormData();
        formData.append('File', fileUploaded);
        //formData.append('token', 'K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA');
        const stored_cookie = getCookie('tokenmysypart');

        formData.append("token", stored_cookie);
        formData.append("session_id", selected_code_session);
        formData.append("class_internal_url", selected_internal_url);
        //console.log("token = " + stored_cookie);

        fetch(
            process.env.REACT_APP_API_URL + "myclass/api/AddStagiairetoClass_mass/",
            {
                method: 'POST',
                body: formData,
            }
        )
            .then((response) => response.json())
            .then((result) => {
                if (String(result['status']) === String("true")) {
                    //console.log('Success:', result['message']);
                    setliste_participants_file_change_result(result['message']);
                    setliste_participants_file_change_api("true");
                    GetListePreinscrit(selected_code_session);
                    GetListeInscrit(selected_code_session);

                    alert(" Les stagiaires ont été correctement importés");
                    submenu_inscrit();
                } else if (String(result['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + result['message']);
                    history.push("/Connexion");
                }

                else {
                    setliste_participants_file_change_message(result['message']);
                    setliste_participants_file_change_api("false");
                }

            })
            .catch((error) => {
                console.error('Error:', error);
                setliste_participants_file_change_api("false");
            });

    };

    const [session_file_name, setsession_file_name] = useState();
    function submenu_import_session() {
        setsession_file_name();
        setliste_sessions_file_change_api();
        hiddenFileInput_session.current.click();
    }

    const hiddenFileInput_session = React.useRef(null);

    const [addOneSession, setaddOneSession] = useState();
    function submenu_add_one_session() {
        setaddOneSession("1");
    }

    const [addOneParticipant, setaddOneParticipant] = useState();
    function submenu_add_one_participant() {
        setaddOneParticipant("1");

        var myelement;

        if (document.getElementById('ajout_participant')) {
            myelement = document.getElementById('ajout_participant');
        }

        if (myelement) {
            myelement.scrollIntoView({ behavior: 'smooth' });
        }

    }

    function submenu_add_one_participant_inactif() {
        alert(" Vous devez choisir une session.");
    }


    const [participant_file_name, setparticipant_file_name] = useState();
    function submenu_import_participant() {
        setparticipant_file_name();
        setliste_participants_file_change_api();
        hiddenFileInput.current.click();
    }

    const hiddenFileInput = React.useRef(null);

    /* Recuperation de la liste des inscrits */
    const [selectionModel_insc, setSelectionModel_insc] = React.useState([]);
    const [rowss_insc, setRows_insc] = useState([]);
    const [rowss_preinsc, setRows_preinsc] = useState([]);
    const [GetListePreinscrit_insc_api, setGetListePreinscrit_insc_api] = useState();
    const [GetListePreinscrit_insc_meassage, setGetListePreinscrit_insc_meassage] = useState();
    const [GetListePreinscrit_insc_result, setGetListePreinscrit_insc_result] = useState([])
    function GetListeInscrit(localsessionid, class_internal_url) {
        clean_old_messages();
        var form = new FormData();
        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("class_internal_url", class_internal_url);
        form.append("session_id", localsessionid);
        form.append("status", "1");

        /*
 
/!\ : Cette fonction a besoin d'un token actif
*/

        if (String(stored_cookie) === String("")) {
            alert(" La session n'est plus valide ");
            history.push("/Connexion");
            return;
        }

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/GetAllClassStagiaire/";

        fetch(myurl,
            {
                method: 'POST',
                body: form,
            })
            .then((data) => data.json())
            .then((data) => {
                //console.log(' GetListeInscrit :  Success:', data['message'], "data['status'] = ", data['status']);
                setGetListePreinscrit_insc_result(data['message']);
                setRows_insc(data['message']);
                if (String(data['status']) === String("true")) {
                    //console.log("erreur rrrr:" + data['status'])
                    setGetListePreinscrit_insc_api("true");

                } else if (String(data['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + data['message']);
                    history.push("/Connexion");
                }
                else {
                    setGetListePreinscrit_insc_api("false");

                }

            }).catch((error) => {
                console.error('Error:', error);
                setGetListePreinscrit_insc_api("false");
            });

    }

    const [liste_sessions_file_change_api, setliste_sessions_file_change_api] = useState();
    const [liste_sessions_file_change_result, setliste_sessions_file_change_result] = useState();
    const [liste_sessions_file_change_message, setliste_sessions_file_change_message] = useState();
    const liste_sessions_file_change = event => {
        clean_old_messages();

        const fileUploaded = event.target.files[0];
        let file_size = event.target.files[0].size;
        let file_type = event.target.files[0].type;

        //console.log("file_size =  ",file_size," file_type = ",file_type);
        if (file_size > 1000000) {
            alert("Le fichier ne doit pas depasser un 1 Méga octets");
            return;
        }

        setsession_file_name(event.target.files[0].name);

        const formData = new FormData();
        formData.append('File', fileUploaded);
        //formData.append('token', 'K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA');
        const stored_cookie = getCookie('tokenmysypart');

        formData.append("token", stored_cookie);
        formData.append("class_internal_url", selected_internal_url);
        //console.log("token = " + stored_cookie);

        fetch(
            process.env.REACT_APP_API_URL + "myclass/api/Add_Update_SessionFormation_mass/",
            {
                method: 'POST',
                body: formData,
            }
        )
            .then((response) => response.json())
            .then((result) => {

                //console.log(" ## result['status'] = ", result['status'])
                if (String(result['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + result['message']);
                    history.push("/Connexion");
                }

                else if (String(result['status']) === String("true")) {
                    //console.log('Success:', result['message']);
                    setliste_sessions_file_change_result(result['message']);
                    setliste_sessions_file_change_api("true");
                    GetCurrentClass_trainingsession();
                    //clearSessionFields();
                    alert(" Les sessions ont été correctement importées");

                }

                else {
                    setliste_sessions_file_change_message(result['message']);
                    setliste_sessions_file_change_api("false");
                    alert('Erreur: ' + result['message']);

                }


            })
            .catch((error) => {
                console.error('Error:', error);
                setliste_sessions_file_change_api("false");
            });

    }

    const [GetCurrentClass_trainingsession_api, setGetCurrentClass_trainingsession_api] = useState();
    const [GetCurrentClass_trainingsession_message, setGetCurrentClass_trainingsession_message] = useState();
    const [GetCurrentClass_trainingsession_result, setGetCurrentClass_trainingsession_result] = useState();
    function GetCurrentClass_trainingsession(event) {

        var form = new FormData();

        form.append("class_internal_url", selected_internal_url);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/GetAllValideSessionFormation_List/";

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                //console.log(" In GetCurrentClass_trainingsession  res.data.status = " + res.data.status);
                //console.log(" In GetCurrentClass_trainingsession  res.data.message r_class = " + res.data.message);
                setGetCurrentClass_trainingsession_api("true");
                setGetCurrentClass_trainingsession_result(res.data.message);
            }
            else {
                setGetCurrentClass_trainingsession_api("false");
                setGetCurrentClass_trainingsession_message(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( GetCurrentClass_trainingsession = ', error);
            setGetCurrentClass_trainingsession_api("false");
            //setmyApimyApiMessage("")
        })
    }

    // Cette fonction nettoye les messages avant nouvelle action
    function clean_old_messages() {
        /*setResend_LMS_Credentials_api();
        setResend_LMS_Credentials_message();
        setliste_sessions_file_change_api();
        setCreateSessionFormation_api();
        setUpdateStagiaireData_api();
        setSendInscriptionCancell_api();
        setCreateListEmargement_api();
        setActionMassListEmargement_api();
        setliste_participants_file_change_api();
        setSendEvaluationEmail_api();*/

    }

    const [GetListePreinscrit_api, setGetListePreinscrit_api] = useState();
    const [GetListePreinscrit_meassage, setGetListePreinscrit_meassage] = useState();
    const [GetListePreinscrit_result, setGetListePreinscrit_result] = useState([])
    function GetListePreinscrit(localsessionid, class_internal_url) {

        var form = new FormData();
        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("class_internal_url", class_internal_url);
        form.append("session_id", localsessionid);
        form.append("status", "0");

        console.log(" ### localsessionid = ", localsessionid, " -- class_internal_url = ", class_internal_url);
        /*
 
       /!\ : Cette fonction a besoin d'un token actif
       */

        if (String(stored_cookie) === String("")) {
            alert(" La session n'est plus valide");
            history.push("/Connexion");
            return;
        }



        var myurl = process.env.REACT_APP_API_URL + "myclass/api/GetAllClassStagiaire/";

        fetch(myurl,
            {
                method: 'POST',
                body: form,
            })
            .then((data) => data.json())
            .then((data) => {
                //console.log('Success:', data['message'], "data['status'] = ", data['status']);
                setGetListePreinscrit_result(data['message']);
                setRows_preinsc(data['message']);
                if (String(data['status']) === String("Err_Connexion")) {
                    alert('Erreur: ' + data['message']);
                    history.push("/Connexion");
                }
                else if (String(data['status']) === String("true")) {
                    setGetListePreinscrit_api("true");

                }
                else {
                    //console.log("erreur rrrr:" + data['status'])
                    setGetListePreinscrit_api("false");

                }

            }).catch((error) => {
                console.error('Error:', error);
                setGetListePreinscrit_api("false");
            });

    }

    const [One_Create_Participant_api, setOne_Create_Participant_api] = useState();
    const [One_Create_Participant_message, setOne_Create_Participant_message] = useState();
    const [One_Create_Participant_result, setOne_Create_Participant_result] = useState();
    function One_Create_Participant() {
        clean_old_messages();
        var form = new FormData();
        var nb_participant = "0";
        var prix_session;


        var one_nom_part = ""
        if (document.getElementById("one_nom_part") && document.getElementById("one_nom_part").value != "") {
            one_nom_part = document.getElementById("one_nom_part").value;
        }
        if (one_nom_part.trim() == "") {
            alert(" Vous devez saisir le nom du participant");
            return;
        }

        var one_prenom_part = ""
        if (document.getElementById("one_prenom_part") && document.getElementById("one_prenom_part").value != "") {
            one_prenom_part = document.getElementById("one_prenom_part").value;
        }
        if (one_prenom_part.trim() == "") {
            alert(" Vous devez saisir le prenom du participant");
            return;
        }

        var one_email_part = ""
        if (document.getElementById("one_email_part") && document.getElementById("one_email_part").value != "") {
            one_email_part = document.getElementById("one_email_part").value;
        }
        if (one_email_part.trim() == "") {
            alert(" Vous devez saisir l'email du participant");
            return;
        }


        var validRegex = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
        if (!one_email_part.match(validRegex)) {
            alert("L'adresse email est invalide.");
            return;
        }


        var one_phone_part = ""
        if (document.getElementById("one_phone_part") && document.getElementById("one_phone_part").value != "") {
            one_phone_part = document.getElementById("one_phone_part").value;
        }
        if (one_phone_part.trim() == "") {
            alert(" Vous devez saisir le téléphone du participant");
            return;
        }


        var code_session = "";
        if (document.getElementById("code_session") && document.getElementById("code_session").value != "")
            code_session = document.getElementById("code_session").value;

        if (code_session.trim() == "") {
            alert(" La session est invalide");
            return;
        }


        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("class_internal_url", selected_internal_url);
        form.append("session_id", code_session);
        form.append("nom", one_nom_part);
        form.append("prenom", one_prenom_part);
        form.append("email", one_email_part);
        form.append("telephone", one_phone_part);
        form.append("status", myinscript_status);
        form.append("modefinancement", "");


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/AddStagiairetoClass/";



        axios.post(myurl, form).then(res => {
            //console.log(" In One_Create_Participant  res.data.status = " + res.data.status);
            //console.log(" In One_Create_Participant  res.data.message r_class = " + res.data.message);

            if (String(res.data.status) === String("true")) {
                setOne_Create_Participant_api("true");
                setOne_Create_Participant_result(res.data.message);
                alert(" Le participant a été correctement ajouté");
                setaddOneParticipant("0");
                //setreduction_session("1");
                GetListePreinscrit(selected_code_session, selected_internal_url);
                GetListeInscrit(selected_code_session, selected_internal_url);

                submenu_inscrit();

            } else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
            }
            else {
                setOne_Create_Participant_api("false");
                setOne_Create_Participant_message(res.data.message);
            }

        }).catch((error) => {

            console.warn('One_Create_Participant : Not good man :(  = ' + error);
            setOne_Create_Participant_api("false");

        })
    }


    const status_inscription = [
        {
            value: '1',
            label: 'Inscription',
        },
        {
            value: '0',
            label: 'PréInscription',
        },

    ];

    const [myinscript_status, setmyinscript_status] = useState("");



    const handleChangeInscription_Status = (event) => {
        const name = event.target.name;
        const value = event.target.value;
        setmyinscript_status(value);
    }

    function One_annuleAdd_Participant() {
        setaddOneParticipant("0");
        var myelement;

        if (document.getElementById('participant_menu_tab')) {
            myelement = document.getElementById('participant_menu_tab');
        }

        if (myelement) {
            myelement.scrollIntoView({ behavior: 'smooth' });
        }
    }


    const [actionmass_insc_val, setactionmass_insc_val] = useState();
    const actionmass_inscrit = (event) => {
        const value = event.target.value;


        if (String(value) === "confirmation" || String(value) === "impression" || String(value) === "annule inscription") {
            setactionmass_insc_val(value);
        }
        else {
            setactionmass_insc_val();
        }
    }


    function GetSelectedRows_Insc_Ids() {


        var tab_tmp = []
        for (var i = 0; i < selectionModel_insc.length; i++) {
            //console.log(" ### selectionModel_insc[i] = ", selectionModel_insc[i]);
            var myid = parseInt(String(selectionModel_insc[i]));
            //var line = JSON.parse(rowss[myid]);
            tab_tmp.push(myid);
        }
        return tab_tmp;

    }

    const [SendInscriptionConfirmation_api, setSendInscriptionConfirmation_api] = useState();
    const [SendInscriptionConfirmation_message, setSendInscriptionConfirmation_message] = useState();
    const [SendInscriptionConfirmation_result, setSendInscriptionConfirmation_result] = useState();
    function SendInscriptionConfirmation(email) {
        clean_old_messages();
        var form = new FormData();
        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");

        if (selected_code_session.length <= 0) {
            alert(" Vous devez choisir une session");
            return;
        }
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("class_internal_url", selected_internal_url);
        form.append("session_id", selected_code_session);
        form.append("email", email);


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/SendInscriptionConfirmation/";

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                //console.log(" In UpdateStagiaireData  res.data.status = " + res.data.status);
                //console.log(" In UpdateStagiaireData  res.data.message r_class = " + res.data.message);
                setSendInscriptionConfirmation_api("true");
                setSendInscriptionConfirmation_result(res.data.message);

            } else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
            }
            else {
                setSendInscriptionConfirmation_api("false");
                setSendInscriptionConfirmation_message(res.data.message);

            }

        }).catch((error) => {

            console.warn('SendInscriptionConfirmation : Not good man :( mysearchtext = ' + error);
            setSendInscriptionConfirmation_api("false");

        })
    }


    async function actionmass_insc_Traitemet() {

        var liste_formation = GetSelectedRows_Insc_Ids();
        for (var i = 0; i < liste_formation.length; i++) {


            var line = JSON.parse(rowss_insc[liste_formation[i]]);
            //console.log(" line = ", line);
            var email = line.email;
            //console.log(" Traitement de email = ", email);
            if (String(actionmass_insc_val) === "confirmation") {

                SendInscriptionConfirmation(email);
            } else if (String(actionmass_insc_val) === "impression") {

                //console.log(" impress mail = ", email);
                DownloadAttendeeDetail_one(email);

            } else if (String(actionmass_insc_val) === "annule inscription") {

                //console.log(" impress mail = ", email);
                SendInscriptionCancell(email);

            }

            await sleep(100);

        }

        setSelectionModel_insc([]);
        setactionmass_insc_val();
        GetListePreinscrit(selected_code_session, selected_internal_url);
        GetListeInscrit(selected_code_session, selected_internal_url);

    }

    const sleep = (milliseconds) => {
        return new Promise(resolve => setTimeout(resolve, milliseconds))
    }


    function DownloadAttendeeDetail_one(addendeeEmail) {


        var trainer = ""
        if (document.getElementsByName("formateur")[0])
            trainer = document.getElementsByName("formateur")[0].value;

        if (trainer == "") {
            alert(" Aucun formateur pour cette session ");
            return;
        }

        if (addendeeEmail == "") {
            alert(" Aucun utilisateur choisi ");
            return;
        }

        const stored_cookie = getCookie('tokenmysypart');

        var nom_fiche_detaillee = "Fiche_Detaillee.pdf";

        var url = process.env.REACT_APP_API_URL + "myclass/api/PrintAttendeeDetail_perSession/" + stored_cookie + "/" + selected_code_session + "/" + addendeeEmail + "/" + selected_internal_url;


        axios.get(url, { responseType: 'blob', },)
            .then((res) => {
                fileDownload(res.data, nom_fiche_detaillee)
            }).catch((error) => {
                console.error('Error:', error);

            });
    }

    const [retval_ch, setretval_ch] = useState();

    const [UpdateStagiaireData_api, setUpdateStagiaireData_api] = useState();
    const [UpdateStagiaireData_message, setUpdateStagiaireData_message] = useState();
    const [UpdateStagiaireData_result, setUpdateStagiaireData_result] = useState();
    function UpdateStagiaireData(nom, prenom, email, status, price, opco, modefinancement, employeur, comment) {

        setSendInscriptionCancell_api();
        var form = new FormData();
        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");

        if (selected_code_session.length <= 0) {
            alert(" Vous devez choisir une session");
            return;
        }
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("class_internal_url", selected_internal_url);
        form.append("session_id", selected_code_session);
        form.append("nom", nom);
        form.append("prenom", prenom);
        form.append("email", email);
        form.append("employeur", employeur);
        form.append("status", status);
        form.append("price", price);
        form.append("opco", opco);
        form.append("modefinancement", modefinancement);
        form.append("comment", comment);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/UpdateStagiairetoClass/";

        axios.post(myurl, form).then(res => {
            console.log(" In UpdateStagiaireData  res.data.status = " + res.data.status);
            console.log(" In UpdateStagiaireData  res.data.message r_class = " + res.data.message);

            if (String(res.data.status) === String("true")) {
                setUpdateStagiaireData_api("true");
                setUpdateStagiaireData_result(res.data.message);
                GetListePreinscrit(selected_code_session, selected_internal_url);
                GetListeInscrit(selected_code_session, selected_internal_url);

                setretval_ch("1");
                alert(" La mise à jour été correctement faite.")
            }
            else {
                setUpdateStagiaireData_api("false");
                setUpdateStagiaireData_message(res.data.message);
                setretval_ch("-1");

            }

        }).catch((error) => {

            console.warn('UpdateStagiaireData : Not good man :( mysearchtext = ' + error);
            setUpdateStagiaireData_api("false");
            setretval_ch("-1");

        })
    }



    const [SendInscriptionCancell_api, setSendInscriptionCancell_api] = useState();
    const [SendInscriptionCancell_message, setSendInscriptionCancell_message] = useState();
    const [SendInscriptionCancell_result, setSendInscriptionCancell_result] = useState();
    function SendInscriptionCancell(email) {

        clean_old_messages();
        setUpdateStagiaireData_api();
        var form = new FormData();
        //form.append("token","K3cw63eKokKSbV4spjQ48SUNnfy80yrXfA");

        if (selected_code_session.length <= 0) {
            alert(" Vous devez choisir une session");
            return;
        }
        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("class_internal_url", selected_internal_url);
        form.append("session_id", selected_code_session);
        form.append("email", email);


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/CancelAttendeeInscription/";

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === String("true")) {
                //console.log(" In UpdateStagiaireData  res.data.status = " + res.data.status);
                //console.log(" In UpdateStagiaireData  res.data.message r_class = " + res.data.message);
                setSendInscriptionCancell_api("true");
                setSendInscriptionCancell_result(res.data.message);

                GetListePreinscrit(selected_code_session, selected_internal_url);
                GetListeInscrit(selected_code_session, selected_internal_url);

                submenu_inscrit();

            } else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
            }
            else {
                setSendInscriptionCancell_api("false");
                setSendInscriptionCancell_message(res.data.message);

            }

        }).catch((error) => {

            console.warn('SendInscriptionCancell : Not good man :( mysearchtext = ' + error);
            setSendInscriptionCancell_api("false");

        })
    }



    const [selectedattendeeemail, setselectedattendeeemail] = useState([])

    function DownloadAttendeeAttestation(event) {

        const stored_cookie = getCookie('tokenmysypart');

        var nom_fiche_detaillee = "Attestation.pdf";

        var url = process.env.REACT_APP_API_URL + "myclass/api/PrintAttendeeCertification/" + stored_cookie + "/" + selected_code_session + "/" + selectedattendeeemail + "/" + selected_internal_url;



        axios.get(url, { responseType: 'blob', },)
            .then((res) => {
                fileDownload(res.data, nom_fiche_detaillee)
            })
    }


    return (
        <div className="displaypartnersession">

            <h2> Les sessions de formation </h2>

            <div className="div_row" style={{ "border": "None" }}>

                <div className="div_row_gauche div_row_gauche_etendu" style={{ "textAlign": "left", "paddingLeft": "5px" }}>


                    <Button variant="outlined" onClick={"submenu_import_session"} className="detail_class_submenu bton_import_excel"
                        id='menu_import_participant' name='menu_import_participant'>Importer des Sessions Excel &nbsp;
                        <img src={excel_icone} alt="ajout csv" className="icon_excel" />
                    </Button>


                    <Button variant="outlined" onClick={"submenu_add_one_session"}
                        className="detail_class_submenu bton_add_session"
                        id='menu_import_participant' name='menu_import_participant'>Ajout 1 Session &nbsp;
                        <img src={add_plus} alt="ajout session" className="icon_plus" />
                    </Button>

                    <br />
                    {session_file_name && <nav><i>{session_file_name}</i></nav>}
                    {String(liste_sessions_file_change_api) === String("true") && <nav className="okUpdateData"> Les Sessions ont été correctement importés</nav>}
                    {String(liste_sessions_file_change_api) === String("false") && <nav className="koUpdateData"> {liste_sessions_file_change_message} </nav>}

                    <input type="file"
                        accept=".csv"
                        ref={hiddenFileInput_session}
                        style={{ display: 'none' }}
                        name="liste_sessions_file"
                        onChange={liste_sessions_file_change}
                    />

                    <a href='/sample/template_import_session_formation.csv' download>Télécharger un fichier modèle</a>
                </div>



            </div>

            <div style={{ "textAlign": "left", "float": "left", "width": "100%" }} id="participant_menu_tab">


                <div className="session_data">
                    <div className="detail_class_submenu_data" style={{ "border": "None" }}>

                        <div style={{ height: 500, width: '100%' }}>
                            <DataGrid
                                checkboxSelection
                                onSelectionModelChange={(newSelectionModel) => {
                                    setSelectionModel(newSelectionModel);
                                    //console.log("ch selected--" + newSelectionModel);
                                }}
                                selectionModel={selectionModel}

                                localeText={frFR.components.MuiDataGrid.defaultProps.localeText}
                                rows={rowss.map((item, index) => (
                                    {
                                        id: index,
                                        class_internal_url: JSON.parse(item).class_internal_url,
                                        code_session: JSON.parse(item).code_session,
                                        date_debut: JSON.parse(item).date_debut,
                                        date_fin: JSON.parse(item).date_fin,
                                        distantiel: JSON.parse(item).distantiel,
                                        presentiel: JSON.parse(item).presentiel,
                                        formateur: JSON.parse(item).formateur,

                                        nb_participant: JSON.parse(item).nb_participant,
                                        title: JSON.parse(item).title,
                                        domaine: JSON.parse(item).domaine,
                                        duration: JSON.parse(item).duration,
                                        duration_unit: JSON.parse(item).duration_unit,

                                    }
                                ))}

                                columns={columns}
                                pageSize={10}
                                className="datagridclass"

                                rowsPerPageOptions={[10]}
                                disableSelectionOnClick
                                components={{
                                    Toolbar: GridToolbar,
                                }}


                            />
                            <br />


                            {selectionModel && selectionModel.length >= 1 &&
                                <div className="div_row" style={{ "border": "none" }}>
                                    <div className="block_en_mass">
                                        <nav className='traitement_mass'>Traitement en masse</nav>
                                        &nbsp;<select
                                            id={"actionmass_preinsc"} name={"actionmass_preinsc"}
                                            onChange={actionmass_preinsc}
                                            className="action_mass">
                                            <option selected value="n/a">Choisir une action</option>
                                            <option value="valider">Valider</option>
                                            <option value="refuser">Refuser</option>

                                        </select> &nbsp;
                                        {actionmass_preinsc_val &&
                                            <Popup
                                                trigger={<Button className="bton_traiter_en_mass" >
                                                    <FcAcceptDatabase /> Traiter

                                                </Button>}
                                                modal
                                                nested
                                                position="center center"
                                            >

                                                {close => (
                                                    <div>
                                                        <button className="gest_close" onClick={close}>
                                                            &times;
                                                        </button>
                                                        <div className="gest_header"> MySy Information </div>
                                                        <div className="gest_content">
                                                            {' '}

                                                            Confirmer l'action <b> {actionmass_preinsc_val} </b> en masse.
                                                        </div>
                                                        <div className="gest_actions">
                                                            <div style={{ "width": "45%", "float": "left" }}>
                                                                <button className="gest_bton_popup" onClick={(event) => {
                                                                    actionmass_preinsc_Traitemet();
                                                                    close();
                                                                }}> Valider </button>

                                                            </div>
                                                            <div style={{ "width": "45%", "float": "right" }}>
                                                                <button
                                                                    className="gest_bton_popup"
                                                                    onClick={() => {
                                                                        //console.log('modal closed ');
                                                                        close();
                                                                    }}
                                                                >
                                                                    Annuler
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                )}
                                            </Popup>
                                        }
                                        <br />

                                    </div>

                                </div>}


                            <br />
                            {/* <Button variant="contained" onClick={GetAllClass_new}>Contained</Button>*/}
                        </div>

                    </div>

                </div>
                <div className="div_row"> &nbsp;</div>

                <div className="div_row"> &nbsp; traitement de la session selected_code_session = {selected_code_session}  et selected_internal_url = {selected_internal_url}
                </div>


                {selected_code_session && selected_internal_url && <div id='ajout_participant' style={{ "textAlign": "left", "float": "left", "width": "100%" }}>

                    <Button variant="outlined" onClick={"submenu_import_participant"} className="detail_class_submenu bton_import_excel" style={{
                        "background": "#c8cfd5",
                        "color": "black", "width": "auto"
                    }}
                        id='menu_import_participant' name='menu_import_participant'>Choisir un fichier et Importer les participants &nbsp;
                        <img src={excel_icone} alt="ajout csv" className="icon_excel" />
                    </Button>
                    <Button variant="outlined" onClick={submenu_add_one_participant}
                        className="detail_class_submenu bton_add_session"
                        id='menu_one_participant' name='menu_one_participant'>Ajouter 1 participant &nbsp;
                        <img src={participants} alt="ajout un participant" className="icon_plus" />
                    </Button>

                    <br />
                    <a href='/sample/template_import_stagiaires.csv' download>Télécharger un fichier modèle</a>
                    <br />

                    <i>{participant_file_name}</i><br />
                    {String(liste_participants_file_change_api) === String("true") && <nav className="okUpdateData"> Les participants ont été correctement importés</nav>}
                    {String(liste_participants_file_change_api) === String("false") && <nav className="koUpdateData"> {liste_participants_file_change_message} </nav>}

                    <input type="file"
                        accept=".csv"
                        ref={hiddenFileInput}
                        style={{ display: 'none' }}
                        name="liste_participants_file"
                        onChange={liste_participants_file_change}
                    />


                </div>}

                {!selected_code_session && !selected_internal_url && <div id='ajout_participant' style={{ "textAlign": "left", "float": "left", "width": "100%" }}>

                    <Button variant="outlined" onClick={"submenu_import_participant"} className="detail_class_submenu bton_import_excel" style={{
                        "background": "#c8cfd5",
                        "color": "black", "width": "auto"
                    }}
                        id='menu_import_participant' name='menu_import_participant'>Choisir un fichier et Importer les participants &nbsp;
                        <img src={excel_icone} alt="ajout csv" className="icon_excel" />
                    </Button>
                    <Button variant="outlined" onClick={submenu_add_one_participant_inactif}
                        className="detail_class_submenu bton_add_session"
                        id='menu_one_participant' name='menu_one_participant'>Ajouter 1 participant &nbsp;
                        <img src={participants} alt="ajout un participant" className="icon_plus" />
                    </Button>

                    <br />
                    <a href='/sample/template_import_stagiaires.csv' download>Télécharger un fichier modèle</a>
                    <br />

                    <i>{participant_file_name}</i><br />
                    {String(liste_participants_file_change_api) === String("true") && <nav className="okUpdateData"> Les participants ont été correctement importés</nav>}
                    {String(liste_participants_file_change_api) === String("false") && <nav className="koUpdateData"> {liste_participants_file_change_message} </nav>}

                    <input type="file"
                        accept=".csv"
                        ref={hiddenFileInput}
                        style={{ display: 'none' }}
                        name="liste_participants_file"
                        onChange={liste_participants_file_change}
                    />


                </div>}


                {String(addOneParticipant) === "1" && <div className="div_row session_data" style={{ "border": "None", "backgroundColor": "#F0F0F0" }}>
                    <h5> Ajout d'un nouveau participant</h5>

                    <div className="session_caract"> Nom *<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="one_nom_part"
                            id="one_nom_part"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style enable_style"

                        />
                    </div>


                    <div className="session_caract"> Prenom *<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="one_prenom_part"
                            id="one_prenom_part"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style enable_style"

                        />
                    </div>

                    <div className="session_caract"> Email *<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="one_email_part"
                            id="one_email_part"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style enable_style"

                        />
                    </div>

                    <div className="session_caract"> téléphone *<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            name="one_phone_part"
                            id="one_phone_part"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            disabled={false}
                            className="disabled_style enable_style"

                        />
                    </div>

                    <div className="session_caract"> Status Inscription *<br />
                        <TextField
                            sx={{ '& legend': { display: 'none' }, '& fieldset': { top: 0 }, }}
                            required
                            select
                            value={myinscript_status}
                            name="one_status_part"
                            id="one_status_part"

                            InputLabelProps={{
                                shrink: true,
                            }}
                            onChange={handleChangeInscription_Status}
                            disabled={false}
                            className="disabled_style enable_style"
                        >
                            {status_inscription.map((option) => (
                                <MenuItem key={option.value} value={option.value}>
                                    {option.label} &nbsp; <br />
                                </MenuItem>
                            ))}
                        </TextField>
                    </div>



                    <div className="div_row" style={{ "border": "None" }}>
                        &nbsp;
                    </div>
                    {<div className="div_row" style={{ "border": "None", "color": "orange", "textAlign": "center" }}>

                        <div className="div_row_gauche" style={{ "textAlign": 'left', 'marginLeft': '15px' }}>
                            <Button variant="contained" className="bton_envoyer" onClick={One_Create_Participant}>Enregistrer le participant
                            </Button>
                        </div>

                        <div className="div_row_droite" style={{ "textAlign": 'right', 'marginRight': '15px' }}>
                            <Button variant="contained" className="bton_fermer" onClick={One_annuleAdd_Participant}>Annuler
                            </Button>

                        </div>

                    </div>}
                    <div className="div_row" style={{ "border": "None" }}>
                        &nbsp;
                    </div>

                </div>
                }



                <div className="div_row">
                    <Button variant="outlined" onClick={submenu_preinscrit} className="detail_class_submenu" id='menu_preinscrit' name='menu_preinscrit'>Preinscription</Button>
                    <Button variant="outlined" onClick={submenu_inscrit} className="detail_class_submenu" id='menu_inscrit' name='menu_inscrit'>Inscription</Button>

                </div>

                <div className="div_row">
                    Afficher les preinscrit et les inscrits
                </div>

                <div className="session_data">
                    {String(submenu) === String("preinscrit") && <div className="detail_class_submenu_data" style={{ "border": "None" }}>

                        <div style={{ height: 500, width: '100%' }}>
                            <DataGrid
                                checkboxSelection
                                onSelectionModelChange={(newSelectionModel) => {
                                    setSelectionModel(newSelectionModel);
                                    //console.log("ch selected--" + newSelectionModel);
                                }}
                                selectionModel={selectionModel}

                                localeText={frFR.components.MuiDataGrid.defaultProps.localeText}
                                rows={rowss_preinsc.map((item, index) => (
                                    {
                                        id: index,
                                        nom: JSON.parse(item).nom,
                                        prenom: JSON.parse(item).prenom,
                                        employeur: JSON.parse(item).employeur,
                                        email: JSON.parse(item).email,
                                        amount: JSON.parse(item).price,
                                        opco: JSON.parse(item).opco,
                                        modefinancement: JSON.parse(item).modefinancement,


                                    }
                                ))}

                                columns={columns_preinscrit}
                                pageSize={10}
                                className="datagridclass"

                                rowsPerPageOptions={[10]}
                                disableSelectionOnClick
                                components={{
                                    Toolbar: GridToolbar,
                                }}


                            />
                            <br />


                            {selectionModel && selectionModel.length >= 1 &&
                                <div className="div_row" style={{ "border": "none" }}>
                                    <div className="block_en_mass">
                                        <nav className='traitement_mass'>Traitement en masse</nav>
                                        &nbsp;<select
                                            id={"actionmass_preinsc"} name={"actionmass_preinsc"}
                                            onChange={actionmass_preinsc}
                                            className="action_mass">
                                            <option selected value="n/a">Choisir une action</option>
                                            <option value="valider">Valider</option>
                                            <option value="refuser">Refuser</option>

                                        </select> &nbsp;
                                        {actionmass_preinsc_val &&
                                            <Popup
                                                trigger={<Button className="bton_traiter_en_mass" >
                                                    <FcAcceptDatabase /> Traiter

                                                </Button>}
                                                modal
                                                nested
                                                position="center center"
                                            >

                                                {close => (
                                                    <div>
                                                        <button className="gest_close" onClick={close}>
                                                            &times;
                                                        </button>
                                                        <div className="gest_header"> MySy Information </div>
                                                        <div className="gest_content">
                                                            {' '}

                                                            Confirmer l'action <b> {actionmass_preinsc_val} </b> en masse.
                                                        </div>
                                                        <div className="gest_actions">
                                                            <div style={{ "width": "45%", "float": "left" }}>
                                                                <button className="gest_bton_popup" onClick={(event) => {
                                                                    actionmass_preinsc_Traitemet();
                                                                    close();
                                                                }}> Valider </button>

                                                            </div>
                                                            <div style={{ "width": "45%", "float": "right" }}>
                                                                <button
                                                                    className="gest_bton_popup"
                                                                    onClick={() => {
                                                                        //console.log('modal closed ');
                                                                        close();
                                                                    }}
                                                                >
                                                                    Annuler
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                )}
                                            </Popup>
                                        }
                                        <br />

                                    </div>

                                </div>}


                            <br />
                            {/* <Button variant="contained" onClick={GetAllClass_new}>Contained</Button>*/}
                        </div>

                    </div>}

                    {String(submenu) === String("inscrit") && <div className="detail_class_submenu_data" style={{ "border": "None" }}>

                        <div style={{ height: 500, width: '100%' }}>
                            <DataGrid
                                checkboxSelection
                                onSelectionModelChange={(newSelectionModel_insc) => {
                                    setSelectionModel_insc(newSelectionModel_insc);
                                    //console.log("ch selected--" + newSelectionModel_insc);
                                }}
                                selectionModel={selectionModel_insc}

                                localeText={frFR.components.MuiDataGrid.defaultProps.localeText}
                                rows={rowss_insc.map((item, index) => (
                                    {
                                        id: index,
                                        nom: JSON.parse(item).nom,
                                        prenom: JSON.parse(item).prenom,
                                        employeur: JSON.parse(item).employeur,
                                        email: JSON.parse(item).email,
                                        amount: JSON.parse(item).price,
                                        opco: JSON.parse(item).opco,
                                        modefinancement: JSON.parse(item).modefinancement,


                                    }
                                ))}

                                columns={columns_inscrit}
                                pageSize={10}
                                className="datagridclass"

                                rowsPerPageOptions={[10]}
                                disableSelectionOnClick
                                components={{
                                    Toolbar: GridToolbar,
                                }}


                            />
                            <br />
                            {selectionModel_insc && selectionModel_insc.length >= 1 &&
                                <div className="block_en_mass">
                                    <nav className='traitement_mass'>Traitement en masse / Inscrit</nav>
                                    &nbsp;<select
                                        id={"actionmassinscr"} name={"actionmassinscr"}
                                        onChange={actionmass_inscrit}
                                        className="action_mass">
                                        <option selected value="n/a">Choisir une action</option>
                                        <option value="confirmation">Renvoyer une confirmation</option>
                                        <option value="impression">Imprimer fiches</option>
                                        <option value="annule inscription">Annuler inscription</option>

                                    </select> &nbsp;

                                    {actionmass_insc_val &&
                                        <Popup
                                            trigger={<Button className="bton_traiter_en_mass" >
                                                <FcAcceptDatabase /> Traiter

                                            </Button>}
                                            modal
                                            nested
                                            position="center center"
                                        >

                                            {close => (
                                                <div>
                                                    <button className="gest_close" onClick={close}>
                                                        &times;
                                                    </button>
                                                    <div className="gest_header"> MySy Information </div>
                                                    <div className="gest_content">
                                                        {' '}

                                                        Confirmer l'action <b> {actionmass_insc_val} </b> en masse.
                                                    </div>
                                                    <div className="gest_actions">
                                                        <div style={{ "width": "45%", "float": "left" }}>
                                                            <button className="gest_bton_popup" onClick={(event) => {
                                                                actionmass_insc_Traitemet();
                                                                close();
                                                            }}> Valider </button>

                                                        </div>
                                                        <div style={{ "width": "45%", "float": "right" }}>
                                                            <button
                                                                className="gest_bton_popup"
                                                                onClick={() => {
                                                                    //console.log('modal closed ');
                                                                    close();
                                                                }}
                                                            >
                                                                Annuler
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            )}
                                        </Popup>
                                    }
                                    <br />


                                </div>

                            }

                            <br />
                            {/* <Button variant="contained" onClick={GetAllClass_new}>Contained</Button>*/}
                        </div>
                    </div>}



                </div>


            </div>


        </div>
    );
}

export default DisplayPartnerSession;

